Skip to main content
POST
/
custom-field-rules
/
Create a custom field rule
curl --request POST \
  --url https://api.journeybee.io/v1/custom-field-rules/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "<string>",
  "source_custom_field_uuid": "<string>",
  "target_custom_field_uuid": "<string>",
  "source_values": [
    "<string>"
  ],
  "target_value": {
    "text": "<string>",
    "number": 123,
    "date": "<string>",
    "boolean": true,
    "select": 123,
    "multi_select": [
      123
    ]
  },
  "value_mappings": [
    {
      "sourceValue": "<string>",
      "targetValue": {
        "text": "<string>",
        "number": 123,
        "date": "<string>",
        "boolean": true,
        "select": 123,
        "multi_select": [
          123
        ]
      }
    }
  ],
  "locked": true
}
'
import requests

url = "https://api.journeybee.io/v1/custom-field-rules/"

payload = {
"label": "<string>",
"source_custom_field_uuid": "<string>",
"target_custom_field_uuid": "<string>",
"source_values": ["<string>"],
"target_value": {
"text": "<string>",
"number": 123,
"date": "<string>",
"boolean": True,
"select": 123,
"multi_select": [123]
},
"value_mappings": [
{
"sourceValue": "<string>",
"targetValue": {
"text": "<string>",
"number": 123,
"date": "<string>",
"boolean": True,
"select": 123,
"multi_select": [123]
}
}
],
"locked": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
source_custom_field_uuid: '<string>',
target_custom_field_uuid: '<string>',
source_values: ['<string>'],
target_value: {
text: '<string>',
number: 123,
date: '<string>',
boolean: true,
select: 123,
multi_select: [123]
},
value_mappings: [
{
sourceValue: '<string>',
targetValue: {
text: '<string>',
number: 123,
date: '<string>',
boolean: true,
select: 123,
multi_select: [123]
}
}
],
locked: true
})
};

fetch('https://api.journeybee.io/v1/custom-field-rules/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "uuid": "<string>",
  "label": "<string>",
  "active": true,
  "source_custom_field_uuid": "<string>",
  "source_values": [
    "<string>"
  ],
  "target_custom_field_uuid": "<string>",
  "target_value": {
    "text": "<string>",
    "number": 123,
    "date": "<string>",
    "boolean": true,
    "select": 123,
    "multi_select": [
      123
    ]
  },
  "value_mappings": [
    {
      "sourceValue": "<string>",
      "targetValue": {
        "text": "<string>",
        "number": 123,
        "date": "<string>",
        "boolean": true,
        "select": 123,
        "multi_select": [
          123
        ]
      }
    }
  ],
  "locked": true,
  "created_at": "<string>",
  "updated_at": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".

Body

application/json
label
string
required

Rule label

Required string length: 1 - 255
source_custom_field_uuid
string
required

Source custom field UUID

action_type
enum<string>
required

Rule action: set_value, show_field, or value_mapping

Available options:
set_value,
show_field,
value_mapping
target_custom_field_uuid
string
required

Target custom field UUID

entity_type
enum<string>
required

Entity type this rule applies to

Available options:
partner,
lead,
lead_deal,
contact
source_values
(string | number | boolean)[]

Values that trigger the rule

Maximum array length: 100
target_value
object · null · null

Value to set when action_type is set_value

value_mappings
object[] | null

Value mapping pairs for value_mapping rules

Maximum array length: 100
locked
boolean

Whether the target field is locked when the rule matches

Response

201 - application/json

Default Response

uuid
string
required
label
string
required
active
boolean
required
source_custom_field_uuid
string
required
source_values
(string | number | boolean)[]
required
action_type
enum<string>
required
Available options:
set_value,
show_field,
value_mapping
target_custom_field_uuid
string
required
target_value
object · null · null
required

Custom field value. Set the key matching the field type: text (text/url/email/phone), number, date, boolean (checkbox), select (option ID), or multi_select (array of option IDs).

value_mappings
object[] | null
required
locked
boolean
required
entity_type
enum<string>
required
Available options:
partner,
lead,
lead_deal,
contact
created_at
string
required
updated_at
string
required